For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Location object
          • GET/locations
          • GET/locations/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsLocations

/locations/{id}

GET
/hris/v1/locations/:id
GET
/api/hris/v1/locations/:id
$curl -G https://api.merge.dev/api/hris/v1/locations/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode remote_fields=country,location_type \
> --data-urlencode show_enum_origins=country,location_type
200Retrieved
1{
2 "id": "f5e6a151-f44e-449a-afb1-8fd781905958",
3 "remote_id": "93018402",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "NYC Office",
7 "phone_number": "+1111111111",
8 "street_1": "2920 Broadway",
9 "street_2": "2nd Floor",
10 "city": "New York ",
11 "state": "NY",
12 "zip_code": "10027",
13 "country": "US",
14 "location_type": "WORK",
15 "remote_was_deleted": true,
16 "field_mappings": {
17 "organization_defined_targets": {
18 "custom_key": "custom_value"
19 },
20 "linked_account_defined_targets": {
21 "custom_key": "custom_value"
22 }
23 },
24 "remote_data": [
25 {
26 "path": "/locations",
27 "data": null
28 }
29 ]
30}

Returns a Location object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/locations

Next

The PayGroup object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
The location's name.
phone_numberstring or null
The location's phone number.
street_1string or null
Line 1 of the location's street address.
street_2string or null
Line 2 of the location's street address.
citystring or null
The location's city.
statestring or null
The location's state. Represents a region if outside of the US.
zip_codestring or null
The location's zip code or postal code.
countryenum or null

The location’s country. The country code in ISO 3166-1 alpha-2 format.

location_typeenum or null

The location’s type. Can be either WORK or HOME

  • HOME - HOME
  • WORK - WORK
Allowed values:
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more